package edu.travel.remote.feign.mode.dto.tenant;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import edu.travel.model.PageDto;
import lombok.Data;

/**
 * SysRoleDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/6
 */

@Data
public class SysRolePageDto extends PageDto {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 角色名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 角色描述
     */
    @TableField(value = "remark")
    private String remark;

}
