package edu.travel.tenant.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.remote.feign.mode.dto.tenant.AddMenuDto;
import edu.travel.remote.feign.mode.vo.tenant.AddMenuVo;
import edu.travel.remote.feign.mode.vo.tenant.MenuTreeVo;
import edu.travel.remote.feign.mode.vo.tenant.SysMenuExtraDataVo;
import edu.travel.tenant.entity.SysMenu;
import edu.travel.tenant.entity.SysMenuExtraData;

import java.util.List;
import java.util.Set;

public interface ISysMenuService extends IService<SysMenu> {

    AddMenuVo addMenu(AddMenuDto addMenuDto );

    void deleteMenuByIds(Set<Long> ids);

    List<MenuTreeVo> getMenuTreeListAll(List<SysMenu> records);

    void updateMenuById(AddMenuDto updateMenuDto);
     List<MenuTreeVo> buildMenuTree(List<SysMenu> sysMenuList, List<SysMenuExtraDataVo> menuExtraDataList) ;
}
